Package Details: sonarqube-lts 6.7.5-1

Git Clone URL: https://aur.archlinux.org/sonarqube-lts.git (read-only)
Package Base: sonarqube-lts
Description: An open source platform for continuous inspection of code quality
Upstream URL: http://www.sonarqube.org/
Licenses: LGPL3
Conflicts: sonarqube
Provides: sonarqube
Submitter: Serra
Maintainer: dNhax
Last Packager: dNhax
Votes: 2
Popularity: 0.008915
First Submitted: 2015-07-12 09:58
Last Updated: 2018-08-12 13:49

Latest Comments

doragasu commented on 2016-11-16 20:25

It looks like it has not been fixed even on v6.1:
https://github.com/SonarSource/sonarqube/blob/branch-6.1/sonar-db/src/main/java/org/sonar/db/DatabaseChecker.java

I would be grateful if you could patch it. Other option, I suppose, is to remove mariadb dependency, and leave only valid mysql ones...

serialoverflow commented on 2016-11-16 13:46

Thank you for the report @doragasu.
I will update from 5.6 to 5.6.3 today. Maybe that already fixes the issue, haven't looked through the changelog.
But I'm honestly not sure if i should patch this, especially since it is an LTS package. Would like to get some feedback on this.

doragasu commented on 2016-11-16 07:09

Service does not start, it complains about mysql being version 5.5 and minimum supported version is 5.6. It looks like the problem is exactly this, but it looks like fixing it requires rebuilding from sources: http://stackoverflow.com/questions/37026631/sonarqube-5-5-and-mariadb

Here is a detailed startup log: http://pastebin.com/Bpbj2hyR

serialoverflow commented on 2016-07-03 11:34

Since 03.06.2016, there has been a big bump for the LTS release from 4.5.7 to 5.6.
This means that right now, there is no difference between the latest and the lts release of SonarQube. I imagine the branches will once again diverge with the next version.
I will update this package to 5.6 shortly.

//Update: Package is now bumped to 5.6.

Serra commented on 2015-11-07 06:37

This ist the LTS package for Sonarqube. The current LTS version is 4.5.6.

In the old AUR there was an sonarqube package that did package the current stable version (eg. 5.x). Maybe you can revive the package ?

https://github.com/aur-archive/sonarqube

arp12 commented on 2015-11-06 21:32

Hi, could you upgrade package to 5.1?